<template>
  <div>
    <rui-empty v-if="familiesToSync.length === 0" :content="$t('js.admin.import.nothing_to_import')" />
    <gpa-diffs v-else
               :current-base-url="baseUrl"
               :trusted-class="trustedClass"
               :entities-to-sync="familiesToSync" />
  </div>
</template>

<script>
import RuiEmpty from '@experiments-labs/rise_ui/src/components/DataDisplay/Empty/Empty.vue'
import GpaDiffs from './Diff/Diffs.vue'
import TrustedFamily from '../../../classes/models/trustedData/TrustedFamily'

export default {
  name: 'GpaFamilies',
  components: { RuiEmpty, GpaDiffs },
  data () {
    return {
      trustedClass: TrustedFamily,
      baseUrl: '/admin/families',
    }
  },
  computed: {
    familiesToSync () { return this.$store.getters.familiesToSync },
  },
}
</script>
